Bug 1337047 - Memory leak in EnumerateActions call results handler (polkit_authority_enumerate_actions_finish) causes massive memory leak in KDE
Summary: Memory leak in EnumerateActions call results handler (polkit_authority_enumer...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: polkit
Version: 7.2
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Miloslav Trmač
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On: 1310738
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-18 07:18 UTC by Marcel Kolaja
Modified: 2019-11-14 08:04 UTC (History)
9 users (show)

Fixed In Version: polkit-0.112-7.el7_2
Doc Type: Bug Fix
Doc Text:
Previously, the polkit client library did not correctly free memory when listing available actions, which could cause programs to terminate. With this update, the library frees the memory correctly.
Clone Of: 1310738
Environment:
Last Closed: 2016-06-23 16:31:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1259 normal SHIPPED_LIVE polkit bug fix update 2016-06-23 20:15:43 UTC

Description Marcel Kolaja 2016-05-18 07:18:19 UTC
This bug has been copied from bug #1310738 and has been proposed
to be backported to 7.2 z-stream (EUS).

Comment 14 errata-xmlrpc 2016-06-23 16:31:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1259


Note You need to log in before you can comment on or make changes to this bug.